Get workspace user

Retrieve details for a specific user in the current workspace by user ID.

This endpoint returns all metadata for the user, excluding workspace references.

Use cases:

  • Displaying user profiles
  • Managing user roles and permissions
  • Auditing user activity
GET
/api/v1/workspaces/users/{userId}
AuthorizationBearer <token>

The API will use the Authorization: Bearer <your-key> header for requests.

In: header

Path Parameters

userId*string

Response Body

application/json

application/json

application/json

curl -X GET "https://api.excalidraw.com/api/v1/workspaces/users/string"
{
  "isInitialized": true,
  "created": "2019-08-24T14:15:22Z",
  "uid": "string",
  "id": "string",
  "picture": "http://example.com",
  "email": "user@example.com",
  "name": "string",
  "updated": "2019-08-24T14:15:22Z",
  "workspaceTeams": {
    "property1": [
      "string"
    ],
    "property2": [
      "string"
    ]
  },
  "subscriptionStatus": "string",
  "lastActive": "2019-08-24T14:15:22Z",
  "lastActiveRefreshedAt": "2019-08-24T14:15:22Z",
  "preferences": {
    "ossAutoRedirect": true,
    "sceneOrder": "manual",
    "initialRedirect": "dashboard",
    "hideDeprecatedFonts": true,
    "enableAutoSceneNamingForPrivateCollections": true,
    "blockCommentEmailNotifications": true
  },
  "lastVisitedScenes": [
    "string"
  ],
  "lastEditedScenes": [
    "string"
  ],
  "rateLimits": {
    "textToDiagram": {
      "property1": {
        "lastUsed": 0,
        "firstUsed": 0,
        "count": 0
      },
      "property2": {
        "lastUsed": 0,
        "firstUsed": 0,
        "count": 0
      }
    },
    "diagramToCode": {
      "property1": {
        "lastUsed": 0,
        "firstUsed": 0,
        "count": 0
      },
      "property2": {
        "lastUsed": 0,
        "firstUsed": 0,
        "count": 0
      }
    },
    "nameScene": {
      "property1": {
        "lastUsed": 0,
        "firstUsed": 0,
        "count": 0
      },
      "property2": {
        "lastUsed": 0,
        "firstUsed": 0,
        "count": 0
      }
    }
  },
  "libraryVersion": 0
}
{
  "statusCode": 401,
  "error": "Unauthorized",
  "message": "string"
}
{
  "statusCode": 403,
  "error": "Forbidden",
  "message": "string"
}